/*ScianTemplateLib.h
  Template library for SciAn controls
  Eric Pepke
  August 10, 1992
*/

Template VisAsTemplate[] =
    {
	{"Show Controls", 180, 340, 10, 40},
	{"Visualize", 10, 170, 10, 40},
	{"Visualizations Corral", 10, 316, 74, 215},
	{"Visualization Type Field", 10, 340, 250, 318},
	{"Visualize As String", 10, 312, 322, 340},
	{"Panel", 0, 350, 0, 350},
	{"", 0, 0, 0, 0}
    };

Template NormalDatasetTemplate[] =
    {
	{"Interpolate in Time", 158, 428, 141, 163},
	{"Show Controls", 10, 148, 10, 40},
	{"Colors Text", 10, 148, 60, 78},
	{"Color Palette", 10, 148, 84, 174},
	{"Info Text", 10, 428, 173, 330},
	{"Dataset", 0, 112, -82, -20},
	{"Dataset Object Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisContoursTemplate[] =
    {
	{"Divisions Text", 20, 122, 12, 30},
	{"Maximum Text", 20, 122, 84, 102},
	{"Step Text", 20, 122, 48, 66},
	{"Minimum Text", 20, 122, 120, 138},
	{"Origin Text", 20, 122, 156, 174},

	{"Divisions", 137, 229, 10, 36},
	{"Step", 137, 229, 46, 72},
	{"Maximum", 137, 229, 82, 108},
	{"Minimum", 137, 229, 118, 144},
	{"Origin", 137, 229, 154, 180},

	{"Contour Field Text", 20, 158, 206, 224},
	{"Contour Field", 20, 158, 230, 320},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisPointCloudTemplate[] =
    {
	{"Random Jitter", 178, 418, 266, 288},
	{"Show Missing Data", 178, 418, 298, 320},
	{"Points Field Text", 20, 158, 206, 224},
	{"Points Field", 20, 158, 230, 320},
	{"Bounds", 0, 112, -298, -236},
	{"Color", 0, 112, -226, -164},
	{"Dots", 0, 112, -154, -92},
	{"Point Cloud", 0, 112, -82, -20},
	{"Visualization Object Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisDeformTemplate[] =
    {
	{"Invert Surface", 20, 241, 20, 42},
	{"Factor Text", 268, 384, 245, 266},
	{"Deformation Factor", 268, 385, 272, 298},
	{"Splat", 248, 268, 272, 298},
	{"Deform Switch", 168, 238, 84, 352},
	{"Fixed Deformation Text", 0, 178, 230, 266},
	{"Fixed Deformation", 20, 158, 272, 298},
	{"Deform Field Text", 20, 158, 82, 100},
	{"Deform Field", 20, 158, 106, 196},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Deformation Offset", 306, 424, 214, 240},
	{"Plus", 286, 306, 214, 240},
	{"Offset Text", 305, 423, 172, 208},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisSizeTemplate[] =
    {
	{"Factor Text", 268, 384, 245, 266},
	{"Size Factor", 268, 385, 272, 298},
	{"Splat", 248, 268, 272, 298},
	{"Deform Switch", 168, 238, 84, 352},
	{"Fixed Size Text", 0, 178, 230, 266},
	{"Fixed Size", 20, 158, 272, 298},
	{"Size Field Text", 20, 158, 82, 100},
	{"Size Field", 20, 158, 106, 196},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Size Offset", 306, 424, 214, 240},
	{"Plus", 286, 306, 214, 240},
	{"Offset Text", 305, 423, 172, 208},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisNumbersTemplate[] =
    {
	{"Format Text", 188, 428, 274, 300},
	{"Format:", 188, 278, 302, 320},
	{"No background", 200, 350, 20, 42},
	{"Background Value Label", 280, 360, 52, 70},
	{"Background Value", 300, 340, 80, 160},
	{"Background Color Label", 200, 280, 52, 70},
	{"Background Color", 200, 280, 80, 160},
	{"Background", 190, 360, 10, 180},
	{"Text Value Label", 110, 170, 52, 70},
	{"Text Color Value", 120, 160, 80, 160},
	{"Text Color Label", 20, 100, 52, 70},
	{"Text Color", 20, 100, 80, 160},
	{"Text", 10, 180, 10, 180},
	{"Numbers Field Text", 20, 128, 206, 224},
	{"Numbers Field", 20, 128, 230, 320},
	{"Slice", 0, 92, -154, -92},
	{"Numbers", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisWireFrameTemplate[] =
    {
	{"Pixels Legend", 334, 394, 104, 122},
	{"Width Slider Readout", 258, 328, 102, 128},
	{"Line Width Legend", 257, 407, 138, 156},
	{"Width Slider", 258, 408, 162, 200},
	{"Width Scale", 258, 408, 199, 229},
	{"Antialiasing", 258, 408, 234, 256},
	{"Depth Cueing", 258, 408, 266, 288},
	{"Draw Lines", 258, 408, 298, 320},
	{"Bounds", 0, 112, -514, -452},
	{"Color", 0, 112, -442, -380},
	{"Dots", 0, 112, -370, -308},
	{"Lines", 0, 112, -298, -236},
	{"Surface", 0, 112, -226, -164},
	{"Deform", 0, 112, -154, -92},
	{"Mesh", 0, 112, -82, -20},
	{"Visualization Object Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template VisDotsTemplate[] =
    {
	{"Bigger Dots", 257, 408, 202, 224},
	{"Antialiasing", 258, 408, 234, 256},
	{"Depth Cueing", 258, 408, 266, 288},
	{"Draw Dots", 258, 408, 298, 320},
	{"Bounds", 0, 92, -514, -452},
	{"Color", 0, 92, -442, -380},
	{"Dots", 0, 92, -370, -308},
	{"Lines", 0, 92, -298, -236},
	{"Surface", 0, 92, -226, -164},
	{"Deform", 0, 92, -154, -92},
	{"Mesh", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template LineTemplate[] =
    {
	{"None", 190, 330, 101, 123},
	{"Dithered Gray", 190, 330, 74, 96},
	{"Alpha Gray", 190, 330, 47, 69},
	{"Black", 190, 330, 20, 42},
	{"Shadow Radio", 190, 330, 20, 123},
	{"Shadow", 180, 340, 10, 143},
	{"At End", 190, 330, 213, 235},
	{"At Start", 190, 330, 245, 267},
	{"Arrowhead", 180, 340, 153, 287},
	{"Pixels Legend", 100, 160, 26, 44},
	{"Width Slider Readout", 20, 90, 25, 51},
	{"Line Width Legend", 20, 160, 61, 79},
	{"Width Scale", 20, 160, 125, 150},
	{"Width Slider", 20, 160, 85, 125},
	{"Text Value Label", 110, 170, 163, 181},
	{"Line Color Value", 120, 160, 187, 267},
	{"Line Color Label", 20, 100, 163, 181},
	{"Line Color", 20, 100, 187, 267},
	{"Line", 10, 170, 10, 287},
	{"Panel", 0, 350, 0, 297},
	{"", 0, 0, 0, 0}
    };

Template SpaceTemplate[] =
    {
	{"Show Motion Guides", 10, 218, 11, 33},
	{"Show Rotation Guides", 10, 217, 43, 65},
	{"Panel", 0, 228, 0, 75},
	{"", 0, 0, 0, 0}
    };

Template ArrowsTemplate[] =
    {
	{"Solid", 336, 418, 260, 282},
	{"Flat", 336, 418, 287, 309},
	{"Wire", 255, 326, 260, 282},
	{"Line", 255, 326, 287, 309},
	{"Arrow Style", 245, 428, 250, 329},
	{"Head LENGTH Number", 170, 270, 62, 88},
	{"Head Length Text", 20, 160, 63, 81},
	{"Head Radius Number", 170, 270, 98, 124},
	{"Head Radius Text", 20, 160, 99, 117},
	{"Shaft Radius Number", 170, 270, 134, 160},
	{"Shaft Radius Text", 20, 160, 135, 153},
	{"Arrow Length Number", 170, 270, 170, 196},
	{"Arrow Length Text", 20, 160, 171, 189},
	{"Arrows Field Text", 20, 128, 206, 224},
	{"Arrows Field", 20, 128, 230, 320},
	{"Bounds", 0, 92, -442, -380},
	{"Color", 0, 92, -370, -308},
	{"Surface", 0, 92, -298, -236},
	{"Geometry", 0, 92, -226, -164},
	{"Slice", 0, 92, -154, -92},
	{"Arrows", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 569, 0, 339},
	{"", 0, 0, 0, 0}
    };

Template RendererTemplate[] =
    {
	{"Color Map Hardware", 20, 226, 136, 158},
	{"No Filter", 20, 226, 74, 96},
	{"2 to 1 shrink", 20, 226, 47, 69},
	{"Four neighbor average", 20, 226, 20, 42},
	{"Image Filter", 10, 236, 10, 116},
	{"No Renderer", 20, 226, 190, 212},
	{"Full Color Hardware", 20, 226, 163, 185},
	{"Renderer Type", 10, 236, 126, 232},
	{"Panel", 0, 246, 0, 242},
	{"", 0, 0, 0, 0}
    };

Template PaletteTemplate[] =
    {
	{"Ramp", 10, 145, 319, 349},
	{"Reverse", 155, 290, 319, 349},
	{"Ruffle", 300, 435, 319, 349},
	{"Smooth", 445, 580, 319, 349},
	{"Sharpen", 590, 728, 319, 349},

	{"Palette Colors", 198, 728, 46, 299},
	{"Free form", 20, 66, 233, 279},
	{"Sine", 76, 122, 233, 279},
	{"Triangle", 132, 178, 233, 279},
	{"Sawtooth", 20, 66, 177, 223},
	{"Toothsaw", 76, 122, 177, 223},
	{"Square", 132, 178, 177, 223},
	{"Waveform Tools", 378, 536, 285, 381},
	{"Edit Component", 10, 188, 167, 299},
	{"Intensity Text", 108, 188, 52, 70},
	{"Intensity", 132, 172, 77, 157},
	{"HS Text", 8, 128, 52, 70},
	{"Color", 26, 106, 77, 157},
	{"NColors Legend", 120, 174, 10, 32},
	{"N Colors", 10, 110, 10, 36},
	{"Field Max Legend", 478, 588, 10, 31},
	{"Field Max", 598, 728, 10, 36},
	{"Field Min Legend", 188, 280, 10, 32},
	{"Field Min", 290, 420, 10, 36},
	{"Panel", 0, 738, 0, 359},
	{"", 0, 0, 0, 0}
    };

Template RectangleTemplate[] =
    {
	{"None", 190, 330, 101, 123},
	{"Dithered Gray", 190, 330, 74, 96},
	{"Alpha Gray", 190, 330, 47, 69},
	{"Black", 190, 330, 20, 42},
	{"Shadow Radio", 190, 330, 20, 123},
	{"Shadow", 180, 340, 10, 143},
	{"No Interior", 190, 330, 163, 185},
	{"Background Value Label", 280, 340, 195, 213},
	{"Background Value", 290, 330, 219, 299},
	{"Background Color Label", 190, 270, 195, 213},
	{"Background Color", 190, 270, 219, 299},
	{"Interior", 180, 340, 153, 319},
	{"Beveled", 20, 160, 20, 42},
	{"Pixels Legend", 100, 160, 58, 76},
	{"Width Slider Readout", 20, 90, 57, 83},
	{"Border Width Legend", 20, 160, 93, 111},
	{"Width Scale", 20, 160, 157, 182},
	{"Width Slider", 20, 160, 117, 157},
	{"Text Value Label", 110, 170, 195, 213},
	{"Border Color Value", 120, 160, 219, 299},
	{"Border Color Label", 20, 100, 195, 213},
	{"Border Color", 20, 100, 219, 299},
	{"Border", 10, 170, 10, 319},
	{"Panel", 0, 350, 0, 329},
	{"", 0, 0, 0, 0}
    };


Template BallsTemplate[] =
    {
	{"Jacks", 298, 418, 288, 310},
	{"Cubes", 298, 418, 256, 278},
	{"Octohedra", 298, 418, 224, 246},
	{"Spheres", 298, 418, 192, 214},
	{"Style", 288, 428, 150, 330},
	{"Bounds", 0, 92, -370, -308},
	{"Color", 0, 92, -298, -236},
	{"Surface", 0, 92, -226, -164},
	{"Size", 0, 92, -154, -92},
	{"Points", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

/* modified from BallsTemplate */
Template SticksTemplate[] =
    {
    /* name, left, right, top, bottom */
	{"Stick Style", 288, 428, 150, 330},
	{"Lines", 298, 418, 288, 310},
	{"Gutters", 298, 418, 246, 268},
	{"Cylinders", 298, 418, 204, 226},
	{"Bounds", 0, 92, -370, -308},
	{"Color", 0, 92, -298, -236},
	{"Surface", 0, 92, -226, -164},
	{"Size", 0, 92, -154, -92},
	{"Points", 0, 92, -82, -20},
	{"Visualization Object Attributes", 438, 536, 10, 330},
	{"Panel", 0, 570, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template ObserverTemplate[] =
    {
	{"Stereo", 132, 375, 57, 165},
	{"Reset Rotation", 132, 252, 257, 283},
	{"Reset Position", 257, 375, 257, 283},
	{"Perspective Control", 10, 122, 9, 283},
	{"Binocular Spacing", 132, 253, 9, 35},
	{"Binocular Legend", 132, 306, 42, 60},
	{"Perspective", 142, 261, 205, 227},
	{"Orthographic", 142, 306, 178, 200},
	{"Crosseyed Stereo", 142, 306, 70, 92},
	{"Anaglyphic Stereo", 142, 306, 124, 146},
	{"Crystal Eyes", 142, 306, 97, 119},
	{"View Type Radio", 142, 306, 77, 205},
	{"View Type", 132, 376, 169, 247},
	{"Placement", 0, 100, -154, -92},
	{"View", 0, 100, -82, -20},
	{"Observer Attributes", 385, 491, 10, 283},
	{"Panel", 0, 525, 0, 293},
	{"", 0, 0, 0, 0}
    };

Template StereoTemplate[] =
    {
	{"CAVE", 197, 360, 106, 128},
	{"Crystal Eyes", 20, 182, 106, 128},
	{"Even/Odd", 197, 360, 133, 155},
	{"Odd/Even", 20, 182, 133, 155},
	{"Green/Red", 197, 360, 160, 182},
	{"Red/Green", 20, 182, 160, 182},
	{"Cyan/Red", 197, 360, 187, 209},
	{"Red/Cyan", 20, 182, 187, 209},
	{"Walleyed", 197, 360, 214, 236},
	{"Crosseyed", 20, 182, 214, 236},
	{"Mono", 20, 110, 241, 263},
	{"Binocular Spacing", 156, 277, 10, 36},
	{"Placement", 0, 100, -226, -164},
	{"Stereo", 0, 100, -154, -92},
	{"View", 0, 100, -82, -20},
	{"Observer Attributes", 385, 491, 10, 283},
	{"Stereo Image Presentation", 10, 375, 91, 283},
	{"Binocular Legend", 11, 147, 12, 30},
	{"Panel", 0, 525, 0, 293},
	{"", 0, 0, 0, 0}
    };

Template PlacementTemplate[] =
    {
	{"Crystal Eyes", -174, -10, 77, 99},
	{"Reset Position", -184, 1, 228, 254},
	{"Reset Rotation", -184, 0, 257, 283},
	{"Observer Coordinates", 10, 191, 10, 32},
	{"Space Coordinates", 193, 375, 10, 32},
	{"Coordinate System", 10, 375, 10, 32},
	{"Adjust to Space", 214, 374, 50, 72},
	{"Scaling", 105, 195, 48, 74},
	{"Scaling Text", 11, 100, 52, 70},
	{"ZOrigin", 285, 375, 78, 104},
	{"YOrigin", 195, 285, 78, 104},
	{"XOrigin", 105, 195, 78, 104},
	{"Origin Text", 10, 100, 82, 100},
	{"QZ", 285, 375, 116, 142},
	{"QY", 195, 285, 116, 142},
	{"QX", 105, 195, 116, 142},
	{"QScalar", 10, 100, 116, 142},
	{"Quaternion Text", 11, 99, 144, 162},
	{"ZUp", 285, 375, 173, 199},
	{"YUp", 195, 285, 173, 199},
	{"XUp", 105, 195, 173, 199},
	{"Up Text", 10, 101, 176, 194},
	{"ZLookat", 285, 375, 205, 231},
	{"YLookat", 195, 285, 205, 231},
	{"XLookat", 105, 195, 205, 231},
	{"Look At Text", 10, 101, 208, 226},
	{"ZPosn", 285, 375, 237, 263},
	{"YPosn", 195, 285, 237, 263},
	{"XPosn", 105, 195, 237, 263},
	{"Position Text", 11, 101, 240, 258},
	{"Z", 285, 375, 265, 283},
	{"Y", 195, 285, 265, 283},
	{"X", 105, 195, 265, 283},
	{"More", -39, 0, 9, 37},
	{"Perspective Control", -306, -194, 9, 283},
	{"Binocular Spacing", -184, -63, 9, 35},
	{"Binocular Legend", -184, -10, 42, 60},
	{"Perspective", -174, -10, 183, 205},
	{"Orthographic", -174, -10, 156, 178},
	{"Crosseyed Stereo", -174, -10, 129, 151},
	{"Anaglyphic Stereo", -174, -10, 102, 124},
	{"View Type Radio", -174, -10, 82, 185},
	{"View Type", -184, 0, 70, 224},
	{"Panel", -316, 10, 0, 293},
	{"", -316, -316, 0, 0}
    };

Template IsosurfaceTemplate[] =
    {
	{"From Data", 286, 428, 288, 310},
	{"From Geometry", 286, 428, 261, 283},
	{"Get Normals", 276, 428, 251, 330},
	{"High values", 28, 148, 80, 102},
	{"Low values", 28, 148, 53, 75},
	{"Enclose Data", 28, 148, 53, 102},
	{"Enclose", 20, 158, 43, 122},
	{"Isovalue Readout", 20, 158, 132, 158},
	{"Isovalue Text", 20, 158, 168, 186},
	{"Iso scale", 178, 226, 10, 330},
	{"Isovalue", 226, 266, 10, 330},
	{"Isosurface Field Text", 20, 158, 206, 224},
	{"Source Field", 20, 158, 230, 320},
	{"Bounds", 0, 112, -514, -452},
	{"Color", 0, 112, -442, -380},
	{"Dots", 0, 112, -370, -308},
	{"Lines", 0, 112, -298, -236},
	{"Surface", 0, 112, -226, -164},
	{"Missing Data", 0, 112, -154, -92},
	{"Isosurface", 0, 112, -82, -20},
	{"Visualization Object Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template MissingDataTemplate[] =
    {
	{"Treat As:", 173, 280, 286, 308},
	{"Treat As Missing", 21, 163, 286, 308},
	{"Missing Value", 286, 418, 284, 310},
	{"Handle Missing Data", 10, 428, 274, 330},
	{"Missing Data", 0, 112, -154, -92},
	{"Visualization Object Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template CommTemplate[] =
    {
	{"19200", 225, 315, 208, 230},
	{"9600", 225, 315, 235, 257},
	{"4800", 125, 215, 208, 230},
	{"2400", 125, 215, 235, 257},
	{"1200", 25, 115, 208, 230},
	{"300", 25, 115, 235, 257},
	{"Baud Rate", 15, 325, 198, 277},
	{"Port Device Text", 10, 100, 297, 315},
	{"Port Device", 110, 428, 294, 320},
	{"Communications", 0, 112, -82, -20},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template SettingsTemplate[] =
    {
	{"Save All Settings", 10, 180, 10, 40},
	{"", 0, 0, 0, 0}
    };

Template FramesTemplate[] =
    {
	{"by", 201, 227, 180, 198},
	{"Fixed Frame", 20, 143, 180, 202},
	{"Window", 20, 263, 207, 229},
	{"Video Signal", 20, 263, 234, 256},
	{"Save All Settings", 10, 180, 10, 40},
	{"Pixels 2 Label", 331, 421, 77, 95},
	{"Frame Width", 143, 196, 178, 204},
	{"Frame Width Label", 119, 209, 88, 106},
	{"Pixels 1 Label", 330, 420, 32, 50},
	{"Frame Height Label", 223, 313, 91, 109},
	{"FPS Label", 220, 428, 296, 314},
	{"Frame Rate", 120, 210, 294, 320},
	{"Frame Rate Label", 10, 100, 296, 315},
	{"Frames", 0, 112, -82, -20},
	{"Recorder Attributes", 438, 556, 10, 330},
	{"Frame Height", 222, 275, 178, 204},
	{"Frame Source", 10, 283, 168, 276},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };

Template SequenceTemplate[] =
    {
	{"Automatically Add New Keyframes", 10, 121, 10, 32},
	{"Animation Tracks", 10, 385, 42, 275},
	{"Panel", 0, 395, 0, 285},
	{"", 0, 0, 0, 0}
    };

Template PostScriptTemplate[] =
    {
	{"Include 'showpage' at End", 10, 257, 260, 282},
	{"%", 214, 256, 301, 319},
	{"Enlarge or reduce", 10, 141, 302, 320},
	{"Enlargement", 147, 210, 299, 325},
	{"Save All Settings", 10, 180, 10, 40},
	{"Full Quality", 302, 418, 288, 310},
	{"1/2 Quality", 302, 418, 261, 283},
	{"1/3 Quality", 302, 418, 234, 256},
	{"1/4 Quality", 302, 418, 207, 229},
	{"Quality", 302, 418, 207, 310},
	{"Image Quality", 292, 428, 197, 330},
	{"Frames", 0, 112, -154, -92},
	{"PostScript", 0, 112, -82, -20},
	{"Recorder Attributes", 438, 556, 10, 330},
	{"Panel", 0, 590, 0, 340},
	{"", 0, 0, 0, 0}
    };


